New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Get HTTP API settings

GET
/api/v1/settings/http-api

Return whether the HTTP API is enabled and its configured port.

Response Body

Successful Response

application/json
  1. response
enabled*Enabled

Whether the HTTP API server is enabled

port*Port

Configured HTTP API port number

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/settings/http-api'
Example Response200
{  "enabled": true,  "port": 0}